<?
require_once('include/global.php');


// [2006-03-22] 새창으로 열렸을때의 레이아웃 구분.
$layout = ($_GET['iswin']) ? 'window_open' : 'self';


// set
switch ($_GET['id'])
{
	case 'POP3':
		$CFG['TITLE'] = '<b>도움말</b> >> <b>POP3 이용안내</b>';
		// [2007-03-08] SMTOP/POP3 서비스 제한 상태
		if (!$AUTH['auth_m_email'])
		{
			$AUTH['auth_m_name'] = "이름";
			$AUTH['auth_m_email'] = "아이디@".$G_SYS['MAIL_DOMAIN'];
			$mbr = array(
						'm_svc_smtp'=>$G['DINFO']['d_svc_smtp'],
						'm_svc_pop3'=>$G['DINFO']['d_svc_pop3']
						);
		} else
		{
			$q = "SELECT m_svc_smtp, m_svc_pop3 FROM ".$TB['MEMBER']." WHERE m_no='".$AUTH['auth_m_no']."'";
			$mbr = db_get_row($q);
		}	// if()

        // [2024-09-10] SMTP 서버 주소, 직접 입력
        $view = array();
        if (isset($G_SYS['S_HELP_SMTP']) && $G_SYS['S_HELP_SMTP'] !== null) {
            $view['s_help_smtp'] = $G_SYS['S_HELP_SMTP'];
        } else {
            $view['s_help_smtp'] = get_http_host_domain($_SERVER['HTTP_HOST']);
        }

        // [2024-09-10] POP3 서버 주소, 직접 입력
        if (isset($G_SYS['S_HELP_POP3']) && $G_SYS['S_HELP_POP3'] !== null) {
            $view['s_help_pop3'] = $G_SYS['S_HELP_POP3'];
        } else {
            $view['s_help_pop3'] = get_http_host_domain($_SERVER['HTTP_HOST']);
        }

        // [2024-09-10] Xmail SSL 설정 가져오기
        require_once('include/admin_lib.php');
        $cfgs = nm_cfgfileget('server.tab');

        $view['enable_smtp'] = nm_cfg_val_get($cfgs, 'EnableSMTP-TLS');
        $view['enable_pop3'] = nm_cfg_val_get($cfgs, 'EnablePOP3-TLS');

        // [2024-09-10] 디버깅용 변수 추가, 테스트를 위해 추가
        if (isset($_GET['force_ssl'])) {
            $view['enable_smtp'] = $_GET['force_ssl'];
            $view['enable_pop3'] = $_GET['force_ssl'];
        }

		// [2025-11-14] 보안연결 사용여부(SMTP)
		if (isset($G_SYS['S_VIEW_HELP_SMTP_TLS'])) {
			$view['enable_smtp'] = $G_SYS['S_VIEW_HELP_SMTP_TLS'];
		}

		if (isset($G_SYS['S_VIEW_HELP_POP3_TLS'])) {
			$view['enable_pop3'] = $G_SYS['S_VIEW_HELP_POP3_TLS'];
		}
        
		nskinset('help', 'pop3.html', $layout);
		break;

	case 'POP3_CHK':
		$CFG['TITLE'] = '<b>도움말</b> >> <b>SMTP/POP3 문제해결</b>';
		if (!$AUTH['auth_m_email'])
		{
			$AUTH['auth_m_name'] = "이름";
			$AUTH['auth_m_email'] = "아이디@".$G_SYS['MAIL_DOMAIN'];
		}	// if()
		nskinset('help', 'pop3_chk.html', $layout);
		break;

	case 'LICENSE':
		$CFG['TITLE'] = '<b>도움말</b> >> <b>Nmail 라이센스 규정</b>';
		nskinset('help', 'license.html', $layout);
		break;

	case 'SKIN':
		$CFG['TITLE'] = '<b>도움말</b> >> <b>디자인 수정안내</b>';
		nskinset('help', 'skin.html', $layout);
		break;

	case 'RETURNMAIL':
		$CFG['TITLE'] = '<b>도움말</b> >> <b>리턴메일 분석</b>';
		nskinset('help', 'returnmail.html', $layout);
		require('include/help_lib.php');
		break;

	case 'SAFAQ':
		// 서버정보가 노출되므로 서버관리자만 접근가능.
		auth_limit('serveradmin');
		$CFG['TITLE'] = '<b>도움말</b> >> <b>메일서버관리 FAQ</b>';
		nskinset('help', 'safaq.html', $layout);
		require('include/help_lib.php');
		break;

	default:
		msg("존재하지 않는 도움말입니다.");
		break;
}	// switch()


// skin view
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>